<template>
  <div class="table">
    <div class="table-header row">
      <div v-for="headerField in fields" :class="headerField.class" class="col">
        {{ $t(headerField.name) }}
      </div>
    </div>

    <div v-for="(entity, entityIndex) in entities"
         :class="{ even: entityIndex % 2, odd: !(entityIndex % 2) }"
         @click="$router.push(entity.to)"
         class="row table-row">
      <div v-for="(value, valueIndex) in entity.line"
           :class="fields[valueIndex].class"
           class="col">
        {{ value }}
      </div>
    </div>

    <div class="mock-container col" v-if="!entities.length">
      <div class="mock-label">{{ $t(noEntitiesLabel) }}</div>
    </div>
  </div>
</template>

<script lang="ts">
  import { SimpleTableRowItem, SimpleTableHeaderItem } from '~/types/uiKit';
  import { Component, Vue, Prop } from 'vue-property-decorator';

  @Component
  export default class UiKitResultsTable extends Vue {
    @Prop() fields: SimpleTableHeaderItem[];
    @Prop() entities: SimpleTableRowItem[];
    @Prop({ default: 'noItemsPlaceholder' }) noEntitiesLabel: string;
  }
</script>
